Name:          irclib
Version:       1.10
Release:       %mkrel 6
Group:         Development/Java
Summary:       Java implementation of the IRC protocol
License:       ASL 2.0 and EPL and LGPLv2+
URL:           http://moepii.sourceforge.net/
Source0:       http://prdownloads.sourceforge.net/moepii/%{name}-%{version}.tar.gz
Source1:       http://repo2.maven.org/maven2/org/schwering/%{name}/%{version}/%{name}-%{version}.pom

BuildRequires: java-devel
BuildRequires: javapackages-local
BuildArch:     noarch

%description
IRClib is pure Java 1.2 IRC implementation. The
IRClib library is designed very cleanly, supports
RFC1459 and supports SSL connections.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
# cleanup
find -name "*.jar" -delete
find -name "*.class" -delete
rm -r $(find -name ".svn")
rm -r javadoc

# fix spurious-executable-perm
chmod 644 CHANGELOG COPYING_AL COPYING_EPL COPYING_LGPL README
# fix incorrect-fsf-address
sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," COPYING_LGPL
# fix wrong-script-end-of-line-encoding
sed -i 's/\r//' CHANGELOG COPYING_AL COPYING_EPL COPYING_LGPL README

%mvn_file org.schwering:%{name} %{name}

%build

mkdir -p classes docs
%javac -d classes -source 1.6 -target 1.6 $(find src -name "*.java")

(
cd classes
%jar -cf ../%{name}.jar *
)

%javadoc -source 1.6 -classpath classes -d docs -Xdoclint:none $(find src -name "*.java")

%install
%mvn_artifact %{SOURCE1} %{name}.jar
%mvn_install -J docs

%files -f .mfiles
%doc CHANGELOG README
%license COPYING_AL COPYING_EPL COPYING_LGPL

%files javadoc -f .mfiles-javadoc
%license COPYING_AL COPYING_EPL COPYING_LGPL



%changelog
* Tue Feb 11 2020 umeabot <umeabot> 1.10-6.mga8
+ Revision: 1490888
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.10-5.mga7
+ Revision: 1262470
- Mageia 7 Mass Rebuild

* Sun May 14 2017 neoclust <neoclust> 1.10-4.mga6
+ Revision: 1101304
- imported package irclib


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 05 2015 gil cattaneo <puntogil@libero.it> 1.10-2
- introduce license macro

* Wed Jun 19 2013 gil cattaneo <puntogil@libero.it> 1.10-1
- initial rpm
